Skip to content

@darangi darangi released this Jan 14, 2020

Notable Changes

  • #20041 - Improve PHP syntax highlighting for ternary operator, ereg functions, and comments within closures.
  • #20122 - Improve PHP syntax highlighting for functions returning references, return types.
  • #20088 - Improve SCSS syntax highlighting, by recognizing '-' as part of a class selector in an @extend statement.
  • #20099 - Fix find and replace crashes when a tab is not an editor.
  • #19832 - Fix an issue that prevented directories created by git worktree from being recognized as git repositories.
  • #20134 - Improve CSS syntax highlighting by supporting grid properties (e.g row-gap, place-items, place-self and place-content).
  • #20142 - Improve CSS syntax highlighting by preventing deprecated CSS properties from being highlighted as errors.
  • #20156 - Add support for Javascript forEach snippet.
  • #20173 - Add support for Javascript syntax highlighting for BigInt numeric.
  • #20196 - Update legacy TextMate grammars to match microsoft/vscode@e6abf47.
  • atom/github#2324: Removed the non-functional "jump to file" context menu option when viewing past commits.
  • atom/github#2308: Explicitly display and choose the active git working directory in the Git and GitHub tabs.
  • atom/github#2305: Fix a crash when viewing review comments on Windows.
  • atom/github#2297: Avoid stalls due to data buffering by using TCP sockets instead of UNIX domain sockets for git dialog communications.
  • atom/github#2222: Create and publish GitHub repositories with the github:create-repository and github:publish-repository commands.
  • atom/github#2270: Copy the commit SHA and subject to the clipboard from the context menu on the mini-log.
All Changes

Atom Core

v1.42.0...v1.43.0

bracket-matcher

v0.91.1...v0.91.2

find-and-replace

v0.219.0...v0.219.1

fuzzy-finder

v1.14.0...v1.14.1

github

v0.31.0-2...v0.31.1-2

open-on-github

v1.3.1...v1.3.2

language-css

v0.44.0...v0.44.2

language-javascript

v0.133.0...v0.134.0

language-php

v0.44.2...v0.44.4

language-sass

v0.62.0...v0.62.1

language-typescript

v0.5.2...v0.6.0

Assets 18
You can’t perform that action at this time.